using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace zad4k1
{
    internal class Program
    {
        
        static void Main(string[] args)
        {
            List<int> min = new List<int>();
            List<int> max = new List<int>();
            min.Add(0);
            max.Add(0);
            List<int> res = new List<int>();
            string[] nz = Console.ReadLine().Split();
            int n = int.Parse(nz[0]), m = int.Parse(nz[1]),a,b,c,s;
            for (int i = 0; i < n; i++)
            {
                nz = Console.ReadLine().Split();
                min.Add(int.Parse(nz[0]));
                max.Add(int.Parse(nz[1]));                
            }
            for(int i=0; i < m; i++)
            {
                s = 0;
                nz = Console.ReadLine().Split();
                a = int.Parse(nz[0]);
                b = int.Parse(nz[1]);
                c = int.Parse(nz[2]);
                for(int j=a;j<=b;j++)
                {
                    if (min[j] <= c && c <= max[j])
                        s++;
                }
                res.Add(s);
            }
            foreach(int sum in res)
            {
                Console.WriteLine(sum);
            }
            Console.ReadLine();
        }
    }
}